package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 考生考试科目表
* @author: zxq
* @date: 2019-03-06 14:03:01
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "STD_ENROL_SUBJECT", keyColumn =  "STD_SUBJECT_ID" , sequenceName = "STD_SUBJECT_ID")
public class StdEnrolSubject implements Serializable{
	private static final long serialVersionUID = 3881607343834550504L;
	private Integer std_subject_id;
	//考生编号
	private Integer std_id;
	//学校编号
	private Integer school_id;
	//专业名称
	private Integer aspect_id;
	//科目顺序
	private Integer subject_order;
	//科目名称
	private String subject_name;
	//考试开始时间
	private String exam_time;
	//考场地址
	private String room_addr;
	private String exam_seq;
	//考生科目分数
	private String std_subject_score;
	//候考地址
	private String wait_room_addr;
	//候考时间
	private String wait_exam_time;
	
	//打印测试用，用完删除
	public String std_name ;
	public String cert_id;
	public String exam_id;
	public String aspect_name;

	public Integer getStd_subject_id() {
		return this.std_subject_id;
	}

	public void setStd_subject_id(Integer std_subject_id) {
		this.std_subject_id = std_subject_id;
	}

	/****
	 * 考生编号
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 考生编号
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	/****
	 * 学校编号
	 */
	public Integer getSchool_id() {
		return this.school_id;
	}

	/****
	 * 学校编号
	 */
	public void setSchool_id(Integer school_id) {
		this.school_id = school_id;
	}

	/****
	 * 专业名称
	 */
	public Integer getAspect_id() {
		return this.aspect_id;
	}

	/****
	 * 专业名称
	 */
	public void setAspect_id(Integer aspect_id) {
		this.aspect_id = aspect_id;
	}

	/****
	 * 科目顺序
	 */
	public Integer getSubject_order() {
		return this.subject_order;
	}

	/****
	 * 科目顺序
	 */
	public void setSubject_order(Integer subject_order) {
		this.subject_order = subject_order;
	}

	/****
	 * 科目名称
	 */
	public String getSubject_name() {
		return this.subject_name;
	}

	/****
	 * 科目名称
	 */
	public void setSubject_name(String subject_name) {
		this.subject_name = subject_name;
	}

	/****
	 * 考试开始时间
	 */
	public String getExam_time() {
		return this.exam_time;
	}

	/****
	 * 考试开始时间
	 */
	public void setExam_time(String exam_time) {
		this.exam_time = exam_time;
	}

	/****
	 * 考场地址
	 */
	public String getRoom_addr() {
		return this.room_addr;
	}

	/****
	 * 考场地址
	 */
	public void setRoom_addr(String room_addr) {
		this.room_addr = room_addr;
	}

	public String getExam_seq() {
		return this.exam_seq;
	}

	public void setExam_seq(String exam_seq) {
		this.exam_seq = exam_seq;
	}

	/****
	 * 考生科目分数
	 */
	public String getStd_subject_score() {
		return this.std_subject_score;
	}

	/****
	 * 考生科目分数
	 */
	public void setStd_subject_score(String std_subject_score) {
		this.std_subject_score = std_subject_score;
	}

	/****
	 * 候考地址
	 */
	public String getWait_room_addr() {
		return this.wait_room_addr;
	}

	/****
	 * 候考地址
	 */
	public void setWait_room_addr(String wait_room_addr) {
		this.wait_room_addr = wait_room_addr;
	}

	/****
	 * 候考时间
	 */
	public String getWait_exam_time() {
		return this.wait_exam_time;
	}

	/****
	 * 候考时间
	 */
	public void setWait_exam_time(String wait_exam_time) {
		this.wait_exam_time = wait_exam_time;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getCert_id() {
		return cert_id;
	}

	public void setCert_id(String cert_id) {
		this.cert_id = cert_id;
	}

	public String getExam_id() {
		return exam_id;
	}

	public void setExam_id(String exam_id) {
		this.exam_id = exam_id;
	}

	public String getAspect_name() {
		return aspect_name;
	}

	public void setAspect_name(String aspect_name) {
		this.aspect_name = aspect_name;
	}
	
	
}